glab(1)

NAME

glab-mr-list - List merge requests

SYNOPSIS

glab mr list [flags]

DESCRIPTION

List merge requests

OPTIONS

-A, --all[=false]
    Get all merge requests

-a, --assignee=[]
    Get only merge requests assigned to users

--author=""
    Filter merge request by Author

-c, --closed[=false]
    Get only closed merge requests

-d, --draft[=false]
    Filter by draft merge requests

-g, --group=""
    Select a group/subgroup. This option is ignored if a repo argument is set.

-l, --label=[]
    Filter merge request by label

-M, --merged[=false]
    Get only merged merge requests

-m, --milestone=""
    Filter merge request by milestone

--not-label=[]
    Filter merge requests by not having label

-F, --output="text"
    Format output as: text, json

-p, --page=1
    Page number

-P, --per-page=30
    Number of items to list per page

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

-r, --reviewer=[]
    Get only merge requests with users as reviewer

--search=""
    Filter by in title and description

-s, --source-branch=""
    Filter by source branch

-t, --target-branch=""
    Filter by target branch

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE
    glab mr list --all
    glab mr ls -a
    glab mr list --assignee=@me
    glab mr list --reviewer=@me
    glab mr list --source-branch=new-feature
    glab mr list --target-branch=main
    glab mr list --search "this adds feature X"
    glab mr list --label needs-review
    glab mr list --not-label waiting-maintainer-feedback,subsystem-x
    glab mr list -M --per-page 10

SEE ALSO

glab-mr(1)